package intrinsic.mx.controls.fileSystemClasses;

public class FileSystemControlHelper extends Object {

	/** Accessors */
	public boolean showIcons;
	public boolean canNavigateBack;
	public boolean canNavigateForward;
	public Object nativePathToIndexMap;
	public intrinsic.Array backHistory;
	public intrinsic.Function filterFunction;
	public boolean canNavigateDown;
	public boolean showHidden;
	public intrinsic.Array openPaths;
	public String enumerationMode;
	public String selectedPath;
	public intrinsic.Array extensions;
	public boolean showExtensions;
	public intrinsic.Array forwardHistory;
	public intrinsic.Function nameCompareFunction;
	public intrinsic.flash.filesystem.File directory;
	public intrinsic.Array selectedPaths;
	public intrinsic.Array itemArray;
	public boolean canNavigateUp;

	/** Variables */
	public intrinsic.mx.resources.IResourceManager resourceManager;
	public boolean hierarchical;
	public intrinsic.mx.utils.DirectoryEnumeration directoryEnumeration;
	public intrinsic.Array history;
	public int historyIndex;
	public Object owner;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.flash.filesystem.File COMPUTER;

/** Contructors */
public FileSystemControlHelper() {
}

public FileSystemControlHelper(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void navigateUp();
public native void setDirectory(intrinsic.flash.filesystem.File arg0);
public native void dispatchFileChooseEvent(intrinsic.flash.filesystem.File arg0);
public native void navigateBack();
public native void navigateBack(int arg0);
public native void setDataProvider(intrinsic.Array arg0);
public native intrinsic.Array getParentChain(intrinsic.flash.filesystem.File arg0);
public native boolean handleKeyDown(intrinsic.flash.events.KeyboardEvent arg0);
public native void navigateForward();
public native void navigateForward(int arg0);
public native void resetHistory(intrinsic.flash.filesystem.File arg0);
public native boolean isComputer(intrinsic.flash.filesystem.File arg0);
public native String fileLabelFunction(intrinsic.flash.filesystem.File arg0);
public native String fileLabelFunction(intrinsic.flash.filesystem.File arg0, intrinsic.mx.controls.dataGridClasses.DataGridColumn arg1);
public native void itemsChanged();
public native String itemToUID(Object arg0);
public native boolean dispatchDirectoryChangingEvent(intrinsic.flash.filesystem.File arg0);
public native void fill();
public native void commitProperties();
public native void navigateDown();
public native void navigateTo(intrinsic.flash.filesystem.File arg0);
public native void itemDoubleClickHandler(intrinsic.mx.events.ListEvent arg0);
public native intrinsic.flash.filesystem.File findItem(String arg0);
public native void clear();
public native void styleChanged(String arg0);
public native void refresh();
public native int findIndex(String arg0);
public native intrinsic.Class fileIconFunction(intrinsic.flash.filesystem.File arg0);

}
